> ## Documentation Index
> Fetch the complete documentation index at: https://docs.erdo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# RunEvalSuiteAPI mirrors erdo_run_eval_suite, including the staff-only
external_candidate field.




## OpenAPI

````yaml /api/openapi.json post /v1/evals/suites/{suiteSlug}/run
openapi: 3.0.0
info:
  title: Erdo API
  description: >-
    Erdo's REST API: query and write datasets, run agents, manage threads,
    integrations, pages, evals, workstreams, experiments, and bounded outreach.
    Authenticate with a Bearer API key (erdo_api_...) or scoped token
    (erdo_token_...).
  version: '2026-11-21'
servers:
  - url: https://api.erdo.ai
    description: Production
security:
  - bearerAuth: []
paths:
  /v1/evals/suites/{suiteSlug}/run:
    post:
      summary: |
        RunEvalSuiteAPI mirrors erdo_run_eval_suite, including the staff-only
        external_candidate field.
      operationId: POST:mcp.RunEvalSuiteAPI
      parameters:
        - allowEmptyValue: true
          explode: false
          in: path
          name: suiteSlug
          required: true
          schema:
            type: string
          style: simple
      requestBody:
        content:
          application/json:
            schema:
              properties:
                backend_commit_sha:
                  type: string
                commit_sha:
                  type: string
                concurrency:
                  format: int32
                  maximum: 2147483647
                  minimum: -2147483648
                  type: integer
                external_candidate:
                  $ref: '#/components/schemas/types.ExternalCandidate'
                frontend_commit_sha:
                  type: string
                model_override:
                  type: string
                rotate_cases:
                  format: int32
                  maximum: 2147483647
                  minimum: -2147483648
                  type: integer
                source:
                  type: string
                suite_slug:
                  type: string
              type: object
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  run_id:
                    format: uuid
                    type: string
                type: object
          description: Success response
        default:
          $ref: '#/components/responses/APIError'
components:
  schemas:
    types.ExternalCandidate:
      properties:
        label:
          description: >
            "claude-code" or "grok"). It becomes the leaderboard model
            "external:\<label>".
          title: >
            Label names the system, lowercase letters, digits and hyphens (for
            example
          type: string
        notes:
          title: >
            Notes records how the answers were captured (prompt, settings,
            date).
          type: string
        outputs:
          items:
            $ref: '#/components/schemas/types.ExternalCandidateOutput'
          type: array
      title: |
        ExternalCandidate is one outside system's answers to a suite's cases.
      type: object
    types.ExternalCandidateOutput:
      properties:
        case_name:
          type: string
        cost_usd:
          type: number
        duration_ms:
          format: int64
          type: integer
        output:
          type: string
      title: |
        ExternalCandidateOutput is the answer to one case, matched by case name.
      type: object
  responses:
    APIError:
      content:
        application/json:
          schema:
            externalDocs:
              url: https://pkg.go.dev/encore.dev/beta/errs#Error
            properties:
              code:
                description: Error code
                example: not_found
                externalDocs:
                  url: https://pkg.go.dev/encore.dev/beta/errs#ErrCode
                type: string
              details:
                description: Error details
                type: object
              message:
                description: Error message
                type: string
            title: APIError
            type: object
      description: Error response
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: An Erdo API key (erdo_api_...) or scoped token (erdo_token_...).

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.